part of help_cneter_content;

/// 帮助中心-常见问题-内容详情
class HelpCenterContentPage extends StatefulWidget {
  final String id;
  final String title;

  const HelpCenterContentPage({
    Key? key,
    required this.id,
    required this.title
  }) : super(key: key);

  @override
  State<HelpCenterContentPage> createState() => _HelpCenterContentPageState();
}

class _HelpCenterContentPageState extends State<HelpCenterContentPage> {
  @override
  Widget build(BuildContext context) {
    return GetBuilder<HelpCenterContentController>(
        init: HelpCenterContentController(widget.id),
        builder: (controller) => Scaffold(
              appBar: AppBar(
                centerTitle: true,
                title: Text(widget.title),
              ),
              body: InAppWebView(
                onWebViewCreated: (InAppWebViewController wcontroller){
                  wcontroller.loadData(data: controller.helpCenterContentModel.helpContent ?? '',);
                },
              ),

            ));
  }
}

/*@override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title: const Text('常见问题'),
      ),
      body: Container(
        margin: EdgeInsets.all(15.w),
        child: Column(
          children: [
            Text(
              model.helpTitle ?? '',
              style: TextStyle(fontSize: 16.w, height: 1.5, color: Colours.c3),
            ),
            Text(
              model.helpContent ?? '',
              style: TextStyle(fontSize: 14.w, height: 1.5, color: Colours.c3),
            ),
          ],
        ),
      ),
    );
  }*/
